Summary:   PNG manipulating library
Name:      gd
Version:   1.8.3
Release:   1C1
URL:       http://www.boutell.com/gd/
Source:    http://www.boutell.com/gd/%{name}-%{version}.tar.gz
Patch:	   gd-1.8.3-1C1-shared.patch
Copyright: BSD-style
Group:     System Environment/Libraries
Obsoletes: libgd
BuildRoot: /tmp/%{name}-%{version}-root

%description
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG
file. This is particularly useful in World Wide Web applications,
where .PNG is one of the formats accepted for inline images by most
browsers.

%package devel
Summary:  header files and libraries needed for gd development
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package includes the header files and libraries needed for
developing programs using gd.

%prep

%setup -q

%patch -p1

%build
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/{bin,lib,include}

make INSTALL_LIB=$RPM_BUILD_ROOT/usr/lib \
     INSTALL_INCLUDE=$RPM_BUILD_ROOT/usr/include \
     INSTALL_BIN=$RPM_BUILD_ROOT/usr/bin \
     install

ln -sf libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib/libgd.so

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*.*} || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc index.html readme.txt
/usr/bin/*
/usr/lib/lib*.so.*.*

%files devel
%defattr(-,root,root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/include/*

%changelog
* Thu Aug 10 2000 Patrick Bose <pbose@cobalt.com>
	1.8.3-1C1 modifying patch so that xpm support is removed

* Fri Jun 16 2000 Arne Coucheron <arneco@online.no>
  [1.8.3-1]

* Fri May 26 2000 Arne Coucheron <arneco@online.no>
  [1.8.2-1]
- added support for compiling in multiprocessor environment

* Wed Apr 12 2000 Arne Coucheron <arneco@online.no>
  [1.8.1-2]
- fixed a linking problem with the shared libraries

* Fri Mar 17 2000 Arne Coucheron <arneco@online.no>
  [1.8.1-1]

* Sat Oct 16 1999 Arne Coucheron <arneco@online.no>
  [1.7.3-1]

* Fri Sep 24 1999 Arne Coucheron <arneco@online.no>
  [1.7.0-1]

* Sun Sep 19 1999 Arne Coucheron <arneco@online.no>
  [1.6.3-3]
- libs had version number 1.3.6 instead of 1.6.3

* Tue Sep 14 1999 Henri Gomez <gomez@slib.fr>
  [1.6.3-2]
- correct libgd.so names (was 0.0.0 now is 1.6.3)

* Sat Sep 04 1999 Arne Coucheron <arneco@online.no>
  [1.6.3-1]
- please note that gd no longer supports the GIF format, only PNG from now on

* Fri Jul 02 1999 Arne Coucheron <arneco@online.no>
  [1.5-1]

* Tue Jun 22 1999 Arne Coucheron <arneco@online.no>
  [1.4-1]
- name of package changed to gd, since the RH 6.0 package is named that
- changed Group: to comply with RH 6.0

* Tue Jan 04 1999 Arne Coucheron <arneco@online.no>
  [1.3-4]
- didn't compile from src.rpm unless an older version of libgd was installed

* Thu Dec 10 1998 Arne Coucheron <arneco@online.no>
  [1.3-3]
- some changes in the shared patch

* Sat May 30 1998 Arne Coucheron <arneco@online.no>
  [1.3-2]
- libgd.so is chmod 755 again
- added -q parameter to %setup
- using %%version instead of %%{PACKAGE_VERSION}
- using %defattr macro in filelist

* Sat May 09 1998 Arne Coucheron <arneco@online.no>
  [1.3-1]
- using predefined %%{PACKAGE_VERSION}
- added striping of the library
- made libgd.so chmod 644

* Mon Apr 20 1998 Arne Coucheron <arneco@online.no>
  [1.2-1]
- cleanups to spec file
- added webgif and giftogd binaries
- added a patch to make shared libraries
- splitted the package into a main and devel package
- changed package name to libgd to avoid name collision with another package
